.TH wxProgressDialog 3 "wx  0.98.3" "Ericsson AB" "ERLANG MODULE DEFINITION"
.SH MODULE
wxProgressDialog \- See external documentation: wxProgressDialog\&.
.SH DESCRIPTION
.LP
See external documentation: wxProgressDialog <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprogressdialog\&.html>\&. 
.LP
This class is derived (and can use functions) from: 
.br
wxDialog 
.br
wxTopLevelWindow 
.br
wxWindow 
.br
wxEvtHandler 

.SH DATA TYPES
.RS 2
.TP 4
.B
\fIwxProgressDialog()\fR:

.RS 4
.LP
An object reference, The representation is internal and can be changed without notice\&. It can\&'t be used for comparsion stored on disc or distributed for use on other nodes\&.
.LP

.RE
.RE
.SH EXPORTS
.LP
.B
new(Title::string(), Message::string()) -> wxProgressDialog()
.br
.RS
.LP
Equivalent to new(Title, Message, [])\&.
.RE
.LP
.B
new(Title::string(), Message::string(), Options::[Option]) -> wxProgressDialog()
.br
.RS
.TP
Types
Option = {maximum, integer()} | {parent, wxWindow() (see module wxWindow)} | {style, integer()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprogressdialog\&.html#wxprogressdialogwxprogressdialog>\&.
.RE
.LP
.B
resume(This::wxProgressDialog()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprogressdialog\&.html#wxprogressdialogresume>\&.
.RE
.LP
.B
update(This::wxProgressDialog()) -> ok
.br
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprogressdialog\&.html#wxprogressdialogupdate>\&.
.RE
.LP
.B
update(This::wxProgressDialog(), Value::integer()) -> bool()
.br
.RS
.LP
Equivalent to update(This, Value, [])\&.
.RE
.LP
.B
update(This::wxProgressDialog(), Value::integer(), Options::[Option]) -> bool()
.br
.RS
.TP
Types
Option = {newmsg, string()}
.br
.RE
.RS
.LP
See external documentation <http://www\&.wxwidgets\&.org/manuals/stable/wx_wxprogressdialog\&.html#wxprogressdialogupdate>\&.
.RE
.LP
.B
destroy(This::wxProgressDialog()) -> ok
.br
.RS
.LP
Destroys this object, do not use object again
.RE
